Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transformer
Interface DiscoverableTransformer

All Known Implementing Classes:
  AbstractDiscoverableTransformer, AbstractJmsTransformer, AbstractJsonTransformer, AnnotatedTransformerProxy, BaseToOutputHandler, BeanToMap, ByteArrayToMuleMessage, ByteArrayToObject, ByteArrayToSerializable, DomDocumentToXml, FileToByteArray, FileToString, HttpRequestToByteArray, HttpRequestToInputStream, JMSMessageToObject, JsonToObject, MapToBean, NumberToString, ObjectArrayToString, ObjectToByteArray, ObjectToFeed, ObjectToInputStream, ObjectToJMSMessage, ObjectToJson, ObjectToOutputHandler, ObjectToRssFeed, ObjectToString, PropertyEditorTextToValueTransformer, PropertyEditorValueToTextTransformer, SerializableToByteArray, ServletRequestToOutputHandler, StringToBoolean, StringToNumber, XmlToDomDocument, XmlToOutputHandler, XmlToXMLStreamReader

    public interface DiscoverableTransformer

A interface to denote that a transformer is discoverable. A Transformer can implement this interface so that when a transformation is being 'discovered' for a payload type the transformers implementing this interface will be included in the search. A 'priorityWeighting property is introduced with this interface that can be used to help select a transformer when there are two or more matches. The transformer with the highest priorityWeighting will be selected.

Field Summary
`static int` | `DEFAULT_PRIORITY_WEIGHTING`
`static int` | `MAX_PRIORITY_WEIGHTING`
`static int` | `MIN_PRIORITY_WEIGHTING`

Method Summary
`int` | `getPriorityWeighting()` If 2 or more discoverable transformers are equal, this value can be used to select the correct one
`void` | `setPriorityWeighting(int weighting)` If 2 or more discoverable transformers are equal, this value can be used to select the correct one

Field Detail

### MAX_PRIORITY_WEIGHTING

    static final int MAX_PRIORITY_WEIGHTING

See Also:
  Constant Field Values

### MIN_PRIORITY_WEIGHTING

    static final int MIN_PRIORITY_WEIGHTING

See Also:
  Constant Field Values

### DEFAULT_PRIORITY_WEIGHTING

    static final int DEFAULT_PRIORITY_WEIGHTING

See Also:
  Constant Field Values

Method Detail

### getPriorityWeighting

    int getPriorityWeighting()

  If 2 or more discoverable transformers are equal, this value can be used to select the correct one

  Returns:
    the priority weighting for this transformer. This is a value between `MIN_PRIORITY_WEIGHTING` and `MAX_PRIORITY_WEIGHTING`.

### setPriorityWeighting

    void setPriorityWeighting(int weighting)

  If 2 or more discoverable transformers are equal, this value can be used to select the correct one

  Parameters:
    `weighting` - the priority weighting for this transformer. This is a value between `MIN_PRIORITY_WEIGHTING` and `MAX_PRIORITY_WEIGHTING`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.